%global namedreltag -b2
%global namedversion %{version}%{?namedreltag}
Name:          radeox
Version:       1.0
Release:       %mkrel 1
Summary:       Wiki rendering engine
Group:         Development/Java
License:       ASL 2.0, LGPL
Url:           http://radeox.org/
# svn export https://saffron.caret.cam.ac.uk/svn/projects/rwiki/tags/RADEOX-1_0-BETA-2/radeox radeox-1.0-b2
# tar czf radeox-1.0-b2-src-svn.tar.gz radeox-1.0-b2
Source0:       radeox-1.0-b2-src-svn.tar.gz
Source1:       http://repo1.maven.org/maven2/radeox/radeox/1.0-b2/radeox-1.0-b2.pom
Source2:       http://repo1.maven.org/maven2/radeox/radeox-api/1.0-b2/radeox-api-1.0-b2.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: apache-commons-logging
BuildRequires: asm
BuildRequires: jakarta-oro
# TODO BuildRequires: groovy
BuildRequires: junit
BuildRequires: junitperf
BuildRequires: picocontainer

Requires:      apache-commons-logging
Requires:      jakarta-oro
Requires:      picocontainer

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Radeox RE is a Wiki rendering engine implementation that
implements the Radeox API in Java. The engine renders
wiki markup to XHTML. The goal is to develop a feature
rich, easy to maintain wiki library with a low bug count
so writing your own Wiki implementation is a breeze.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n radeox-%{namedversion}

for j in $(find . -name "*.jar"); do
#  mv $j ${j}.no
  rm -rf $j
done

pushd lib
  ln -sf $(build-classpath asm/asm) asm.jar
  ln -sf $(build-classpath asm/asm-util) asm-util.jar
  ln -sf $(build-classpath commons-logging) commons-logging.jar
#  ln -sf $(build-classpath groovy) groovy.jar
#  mv groovy.jar.no groovy.jar
  ln -sf $(build-classpath junit) junit.jar
  ln -sf $(build-classpath junitperf) junitperf.jar
  ln -sf $(build-classpath oro) jakarta-oro.jar
  ln -sf $(build-classpath picocontainer) picocontainer.jar
popd

# require groovy 1.0-rc1
rm -rf src/org/radeox/example/RadeoxTemplateEngine.java
rm -rf src/test/radeox/test/groovy/RadeoxTemplateEngineTest.java
rm -rf src/test/radeox/test/groovy/*
sed -i "s|import radeox.test.groovy.AllGroovyTests;|//import radeox.test.groovy.AllGroovyTests;|" src/org/radeox/test/AllTests.java
sed -i "s|s.addTest(AllGroovyTests.suite());|//s.addTest(AllGroovyTests.suite());|" src/org/radeox/test/AllTests.java

sed -i "s|Class-Path: jakarta-oro.jar commons-logging.jar picocontainer.jar||" src/META-INF/manifest.radeox

%build
export CLASSPATH=$(build-classpath commons-logging picocontainer ant/ant-junit)
ant dist
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 lib/radeox.jar %{buildroot}%{_javadir}/
install -pm 644 lib/radeox-api.jar %{buildroot}%{_javadir}/

mkdir -p %{buildroot}%{_datadir}/radeox-%{version} 
cp -pr conf %{buildroot}%{_datadir}/radeox-%{version} 

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-radeox.pom
%add_to_maven_depmap radeox radeox %{namedversion} JPP radeox
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-radeox-api.pom
%add_to_maven_depmap radeox radeox-api %{namedversion} JPP radeox-api

mkdir -p %{buildroot}%{_javadocdir}/radeox
cp -pr docs/api/* %{buildroot}%{_javadocdir}/radeox

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/radeox*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_datadir}/radeox-%{version}/*
%doc Changes.txt README license.txt

%files javadoc
%{_javadocdir}/radeox



%changelog

* Thu Dec 01 2011 gil <gil> 1.0-1.mga2
+ Revision: 174995
- imported package radeox

